Bug 227732 - lang/php72 missing lmdb option
Summary: lang/php72 missing lmdb option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Torsten Zuehlsdorff
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-24 02:30 UTC by Waitman Gobble
Modified: 2018-04-25 09:54 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (tz)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Waitman Gobble 2018-04-24 02:30:59 UTC
build in databases/php72-dba


--- /usr/ports/lang/php72/Makefile.ext	2018-03-08 15:48:41.000000000 -0400
+++ /home/waitman/php72.Makefile.ext	2018-04-23 22:01:32.575442000 -0400
@@ -41,7 +41,7 @@
 .if ${PHP_MODNAME} == "dba"
 CONFIGURE_ARGS+=--enable-dba
 
-OPTIONS_DEFINE=	CDB DB4 GDBM QDBM TOKYO INIFILE FLATFILE
+OPTIONS_DEFINE=	CDB DB4 GDBM QDBM TOKYO INIFILE FLATFILE LMDB
 OPTIONS_DEFAULT=CDB INIFILE FLATFILE
 
 CDB_DESC=	cdb database support
@@ -51,6 +51,7 @@
 TOKYO_DESC=	Tokyo Cabinet database support
 INIFILE_DESC=	INI file support
 FLATFILE_DESC=	flatfile support
+LMDB_DESC=	LMDB database support
 
 PHP_HEADER_DIRS=	libcdb libflatfile libinifile
 .endif
@@ -467,6 +468,11 @@
 LIB_DEPENDS+=	libtokyocabinet.so:databases/tokyocabinet
 
 CONFIGURE_ARGS+=--with-tcadb=${LOCALBASE}
+.	endif
+.	if ${PORT_OPTIONS:MLMDB}
+LIB_DEPENDS+=	liblmdb.so:databases/lmdb
+
+CONFIGURE_ARGS+=--with-lmdb=${LOCALBASE}
 .	endif
 .	if empty(PORT_OPTIONS:MINIFILE)
 CONFIGURE_ARGS+=--disable-inifile
Comment 1 commit-hook freebsd_committer 2018-04-25 09:53:42 UTC
A commit references this bug:

Author: tz
Date: Wed Apr 25 09:52:52 UTC 2018
New revision: 468268
URL: https://svnweb.freebsd.org/changeset/ports/468268

Log:
  lang/php72: Add missing lmdb support for php72-dba

  PHP 7.2 adds lmdb support to its dba module. Add support via OPTION.

  PR:		227732
  Submitted by:	Waitman Gobble <uzimac@da3m0n8t3r.com>

Changes:
  head/lang/php72/Makefile.ext
Comment 2 Torsten Zuehlsdorff freebsd_committer 2018-04-25 09:54:05 UTC
Thanks for the PR. For the future please provide the patch as attachment. This makes processing much easier.

I checked your change and it is fine. I just committed it. 

Thank you for your contribution!